package VDR::OsdMenu;

use strict;
use warnings;
use base qw[ VDR::Object ];

our @METHODS = qw[ set_cols clear set_help add add_sub_menu display ];

sub new
{
	my $self = shift;
	my $ref = ref($self) || $self;

	my $this = $ref->SUPER::new('OsdMenu', @_);
	$this->_automethods(@METHODS);

	return $this;
}

sub has_sub_menu
{
	my $this = shift;
	$this->send_msg('M', $this, 'HasSubMenu');
	return $this->recv_msg('m');
}

"this value intentionally left true";
